# tbb::flow::interface6::graph_iterator< GraphContainerType, GraphNodeType > Class Template Reference

List of all members.

## Public Types
typedef size_t | size_type
typedef GraphNodeType | value_type
typedef GraphNodeType * | pointer
typedef GraphNodeType & | reference
typedef const GraphNodeType & | const_reference
typedef std::forward_iterator_tag | iterator_category
## Public Member Functions
| graph_iterator ()
| Default constructor.
| graph_iterator (const graph_iterator &other)
| Copy constructor.
graph_iterator & | operator= (const graph_iterator &other)
| Assignment.
reference | operator* () const
| Dereference.
pointer | operator-> () const
| Dereference.
bool | operator== (const graph_iterator &other) const
| Equality.
bool | operator!= (const graph_iterator &other) const
| Inequality.
graph_iterator & | operator++ ()
| Pre-increment.
graph_iterator | operator++ (int)
| Post-increment.
## Friends
class | graph
class | graph_node

### template<typename GraphContainerType, typename GraphNodeType>
class tbb::flow::interface6::graph_iterator< GraphContainerType, GraphNodeType >

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.